Subject: [PATCH 0/2] Disable forwarding of LRO skbs

From: Ben Hutchings <[email-masked]>
Date: Wed, 30 Apr 2008 22:48:46 +0100

Large Receive Offload (LRO) destroys packet headers that should be
preserved when forwarding.  Currently it also triggers a BUG() or WARN()
in skb_gso_segment().  We should disable it wherever forwarding is
enabled, and discard LRO skbs with a warning if it is turned back on.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.